Changeset 1495 in products


Ignore:
Timestamp:
Jan 1, 2010 11:43:20 PM (11 years ago)
Author:
koval
Message:

xslt section now raises RuntimeError? when libxml2/libxslt packages are not available

File:
1 edited

Legend:

Unmodified
Added
Removed
  • quintagroup.transmogrifier/trunk/quintagroup/transmogrifier/xslt.py

    r277 r1495  
    137137    def applyTransformations(self, xml, xslt): 
    138138        if not HAS_LIBS: 
    139             return xml 
     139            raise RuntimeError("Can't apply transformations, libxml2/libxslt packages are not available") 
    140140        # parse document 
    141141        doc = libxml2.parseDoc(xml) 
Note: See TracChangeset for help on using the changeset viewer.